accessReviewInstanceDecisionItem: filterByCurrentUser
命名空间:microsoft.graph
检索给定 accessReviewInstance 上的所有 accessReviewInstanceDecisionItem 对象,调用用户是该对象的审阅者。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | AccessReview.Read.All、AccessReview.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用 | AccessReview.Read.All、AccessReview.ReadWrite.All |
HTTP 请求
GET /identityGovernance/accessReviews/definitions/{accessReviewScheduleDefinitionId}/instances/{accessReviewInstanceId}/decisions/filterByCurrentUser(on='reviewer')
函数参数
下表显示了可用于此方法的查询参数。
| 参数 | 类型 | 说明 |
|---|---|---|
| on | accessReviewInstanceDecisionItemFilterByCurrentUserOptions | 筛选以查询当前用户的决策对象。 可能的值为 reviewer. unknownFutureValue 使用 reviewer. 必填。 |
可选的查询参数
此方法支持 $selectOData $skip``$filter``$orderBy查询参数,$top以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
此 API 的默认页面大小为 100 个 accessReviewInstanceDecisionItem 对象。 若要提高效率并避免因大型结果集而超时,请使用 $skip 分页和 $top 查询参数。 有关详细信息,请参阅在应用中对 Microsoft Graph 数据进行分页。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此函数在响应正文中返回 200 OK 响应代码和 accessReviewInstanceDecisionItem 集合。
示例
请求
GET https://graph.microsoft.com/v1.0/identityGovernance/accessReviews/definitions/1234ea1c-8d12-457b-1234-a37dc59e54e0/instances/7070ea1c-8d12-457b-bd35-a37dc59e54e0/decisions/filterByCurrentUser(on='reviewer')
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#Collection(accessReviewInstanceDecisionItem)",
"@odata.count": 1,
"value": [
{
"@odata.type": "#microsoft.graph.accessReviewInstanceDecisionItem",
"id": "9550e25b-f315-4454-9d87-16b885c35de4",
"accessReviewId": "7070ea1c-8d12-457b-bd35-a37dc59e54e0",
"reviewedDateTime": null,
"decision": "NotReviewed",
"justification": "",
"appliedDateTime": null,
"applyResult": "New",
"recommendation": "Deny",
"principalLink": "https://graph.microsoft.com/v1.0/users/55555b2c-955d-4205-8471-3a6c3116435d",
"resourceLink": null,
"resource": null,
"reviewedBy": {
"id": "00000000-0000-0000-0000-000000000000",
"displayName": "",
"userPrincipalName": ""
},
"appliedBy": {
"id": "00000000-0000-0000-0000-000000000000",
"displayName": "",
"userPrincipalName": ""
},
"target": {
"@odata.type": "#microsoft.graph.accessReviewInstanceDecisionItemUserTarget",
"userId": "1800bb2c-955d-4205-8471-3a6c3116435d",
"userDisplayName": "guest example",
"userPrincipalName": "guest@guest.com"
},
"principal": {
"@odata.type": "#microsoft.graph.userIdentity",
"id": "1800bb2c-955d-4205-8471-3a6c3116435d",
"displayName": "guest example",
"userPrincipalName": "guest@guest.com"
}
}
]
}
反馈
提交和查看相关反馈